

<div class='register__container'>

  <div>
    <h2>Registration</h2>
  </div>

  <form class='register__form' [formGroup]='registerForm' (ngSubmit)='onSubmit()'>

    <mat-form-field class='register__full-width' appearance='fill'>
      <mat-label>Name (optional)</mat-label>
      <input type='text' matInput placeholder='Enter your name' formControlName='name'>
    </mat-form-field>

    <mat-form-field class='register__full-width' appearance='fill'>
      <mat-label>Username</mat-label>
      <input type='text' matInput placeholder='Enter your username' formControlName='username' required>
    </mat-form-field>

    <mat-form-field class='register__full-width' appearance='fill'>
      <mat-label>Password</mat-label>
      <input type='password' matInput placeholder='Enter your password' formControlName='password' required>
    </mat-form-field>

    <button type='submit' mat-raised-button class='register__btn' color='primary' [disabled]='!registerForm.valid'>Register</button>
    <a mat-raised-button color="primary" routerLink='/login'>Sign In</a>

  </form>

</div>
